<div>
    <div style="display:'flex'; justify-content: 'right'; margin-right:'30px'">
        <p style="font-size:'28px'; color:'indigo'; margin-top:'8px'; text-decoration:'underline'; cursor: 'pointer'; text-align:'right'"
            (click)="gotoHome()">Back
        </p>
    </div>

    <div style="display:'flex'; justify-content: 'center'">
        <button type="button" class="btn btn-outline-success btn-lg orderBtn" (click)="showTodaySales()"> Today's sales </button>
        <button type="button" class="btn btn-outline-success btn-lg orderBtn" (click)="showMonthSales()"> Month's sales </button>
    </div>

    <div *ngIf="noSales" style="display:'flex'; justify-content: 'center'">
        <legend style="text-align:'center'; margin-bottom:'8px'; font-size:'25px'; font-weight:'bold'">No Orders yet..</legend>
    </div>

    <div *ngIf="showTodayOrders">
        <div style="display:'flex'; justify-content: 'center'">
            <legend style="text-align:'center'; margin-bottom:'8px'; font-size:'25px'; font-weight:'bold'">Today's Orders</legend>
        </div>
    
        <div style="display:'flex'; justify-content: 'center'">
            <table class="table table-striped table-bordered table-hover" style="text-align:'center'; width:'70%'">
                <thead class="table-primary">
                <tr>
                    <th scope="col">OrderID</th>
                    <th scope="col">UserID</th>
                    <th scope="col">Order Date</th>
                    <th scope="col">Order Time</th>
                    <th scope="col">Bill Amount</th>
                </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let order of orders">
                        <th scope="row">{{order.orderId}}</th>
                        <td>{{order.userId}}</td>
                        <td>{{order.orderDate}}</td>
                        <td>{{order.orderTime}}</td>
                        <td>{{order.billAmount}}</td>
                    </tr>
                </tbody>
            </table>
        </div>

        <div style="display:'flex'; justify-content: 'center'">
            <legend style="text-align:'center'; margin-bottom:'8px'; font-size:'20px'; font-weight:'bold'">Today's income = Rs.{{order.todayIncome}}</legend>
        </div>
    </div>

    <div *ngIf="showMonthOrders">
        <div style="display:'flex'; justify-content: 'center'">
            <legend style="text-align:'center'; margin-bottom:'8px'; font-size:'25px'; font-weight:'bold'">Month's Orders</legend>
        </div>
    
        <div style="display:'flex'; justify-content: 'center'">
            <table class="table table-striped table-bordered table-hover" style="text-align:'center'; width:'70%'">
                <thead class="table-primary">
                <tr>
                    <th scope="col">OrderID</th>
                    <th scope="col">UserID</th>
                    <th scope="col">Order Date</th>
                    <th scope="col">Order Time</th>
                    <th scope="col">Bill Amount</th>
                </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let order of orders">
                        <th scope="row">{{order.orderId}}</th>
                        <td>{{order.userId}}</td>
                        <td>{{order.orderDate}}</td>
                        <td>{{order.orderTime}}</td>
                        <td>{{order.billAmount}}</td>
                    </tr>
                </tbody>
            </table>
        </div>

        <div style="display:'flex'; justify-content: 'center'">
            <legend style="text-align:'center'; margin-bottom:'8px'; font-size:'20px'; font-weight:'bold'">Month's income = Rs.{{order.monthIncome}}</legend>
        </div>
    </div>
</div>
